commit:     1c0e2ac03be914ddb4c045f056486df9680b85c4
Author:     Aric Belsito <lluixhi <AT> gmail <DOT> com>
AuthorDate: Wed Feb 15 21:36:56 2017 +0000
Commit:     Aric Belsito <lluixhi <AT> gmail <DOT> com>
CommitDate: Wed Feb 15 21:36:56 2017 +0000
URL:        https://gitweb.gentoo.org/proj/musl.git/commit/?id=1c0e2ac0

net-libs/webkit-gtk: version bump to 2.14.5

 net-libs/webkit-gtk/Manifest                 |   4 +-
 net-libs/webkit-gtk/metadata.xml             |  21 +-
 net-libs/webkit-gtk/webkit-gtk-2.14.5.ebuild | 291 +++++++++++++++++++++++++++
 3 files changed, 305 insertions(+), 11 deletions(-)

diff --git a/net-libs/webkit-gtk/Manifest b/net-libs/webkit-gtk/Manifest
index 53b869d..b05ee67 100644
--- a/net-libs/webkit-gtk/Manifest
+++ b/net-libs/webkit-gtk/Manifest
@@ -15,8 +15,10 @@ AUX webkit-gtk-2.8.5-fix-alpha-build.patch 914 SHA256 
aa6617505fe9342153ba9442ea
 AUX webkit-gtk-2.8.5-fix-ia64-build.patch 663 SHA256 
d076739707de117fbc9aebc684c4a43024e1673e4c30fdfa3be529331f0c1f78 SHA512 
ce8dbe7f2bacfc6d1ad70d39d80447ab90e6daf63bc1dc4a49c406255f76eff090f79e6076ebc349d69193b72a821fa6591692cf74a28e529f8db95cf86358fc
 WHIRLPOOL 
adf8e11ee3060bcba606cf17673d06d9c98034a71f6a7406832fabf461c4697abcd0c3d4cdb8d8298caf221c797e0732a9f865d761fcf05753a1dfd96dfd3d82
 AUX webkit-gtk-2.8.5-webkit2gtkinjectedbundle-j1.patch 880 SHA256 
411a4238c2e863b60744287ad645f1e3e0cddd33e895f4dfb1e1c5cfd9f48765 SHA512 
7150400387f5edd3a647359ef1d864634c25d0a7dad043c1b0734fb44d133f59bbc0ce065e59bc3abab0082272ac54c1b40752e06041e5e36c11f502a9734a62
 WHIRLPOOL 
470ea2f6228878ddae55cec72b667f14f56d5f7017ea1cce123dcc5da41dd3fd589214b722e5a85bd81f2a14445a759c55366826b82e3801d8e40ef2ba9c6826
 DIST webkitgtk-2.14.4.tar.xz 13956660 SHA256 
d1ae2df51dd4ee44b9b89421a436ef71062816308738c3712ecf4bec3ccbe3ac SHA512 
12b5332a3879c2b240a5ae0886a25cab9ae5bc35b983f3decef9e203014e853a01eeab25c40a65f2982a8d23bccc7262ee84a9709511ddacfb73a96f769b58e4
 WHIRLPOOL 
a5fe62ad3db45bcf80b9e29ba042200c48d3f865c42064a5931d61823a481e77d56f7108a89043313fb5aaa4f14add9ddb518d6babe5ea5a4a7a9149af9f9e9a
+DIST webkitgtk-2.14.5.tar.xz 13956352 SHA256 
3ca8f1c33a9b43d6c753dcac1c0788656930e06382b10fdf5c2805ea8f96369f SHA512 
3351d9b05458434835fa2db050c34906649c3b1222d7936d123306634a46e35e8cc3aa1bb7512b103af1996fce722254692826b6f695e32ae176032dc8c94e1c
 WHIRLPOOL 
011745e5e1f8926b28b34ac797480b3c79ccfcf09d844d076d8cf3087959013f39f359d7a7ef06a8e95ca7e04d28284ff4901e483180d2a41b4b05568b658e74
 DIST webkitgtk-2.4.11.tar.xz 9869100 SHA256 
588aea051bfbacced27fdfe0335a957dca839ebe36aa548df39c7bbafdb65bf7 SHA512 
2e2cf01a52b8593765a0a3c2d7f0ad306121660019eb402226bd2826c7d4666dab4e91ca6ccbd29abe0ad3993549f256ed1ab88de22e9c8516d5f40a4edd6bfb
 WHIRLPOOL 
de86c4abfb22aacbf62163d0398158931c9cf6ab628547d3b30e613f0505d67c85c3200f7db96500e7c2b35f640cdaa7f501346fc13f492c9439dff4056849a3
 EBUILD webkit-gtk-2.14.4.ebuild 8501 SHA256 
3cb5b835d6be0cd513eafdbdb4b1144e16ad72007c93a193d33a6e32ba103788 SHA512 
d352da2fdb7030ae8929ba12b1f1078c2bc9342f7dd0007ad57d146e8a0f4ba842324c241584e7437e937c52d1803fe3a4e1928815f417bb24bca7ea8dafa991
 WHIRLPOOL 
99eda952c97bed8ec2c64d0f0070e4010106a03a3694efa49498ce79e17a320b2e06f3d69b53ec1baedd7c446498df91abe1206a1354d614583865ba5bd38371
+EBUILD webkit-gtk-2.14.5.ebuild 8503 SHA256 
147de799ef00568d7e3190c0e9227e331a67447741439dbc93b2f949342c4a90 SHA512 
cfdd5176d2d056f4501957affdc6477ab49cd4f81edf68a684cae930fd13dd2128961aec3ef803e648b19f93c4a07ee245d636f8ebf4a666884d412597377008
 WHIRLPOOL 
f44eab280233d73b12194b53315c708fc165ef3023069851baa6734710003203e64a37e02de2670d160da320823a06ea546eafb9a28fa57bfcf3ca997ed298f9
 EBUILD webkit-gtk-2.4.11-r1.ebuild 9123 SHA256 
6fc62f471fe028d8e0a2fe0a130dc53833f62c49ab7136dbc446dd290b4b71ce SHA512 
5e12f7febbd297859e6d9fa709efbdfe440b5d7900d70ee1e81479313bfabd5583b6c1a68d912748df02af2d1f430fac63382ecb92a9986cbb9841602294b5c8
 WHIRLPOOL 
f9d46ac0776142733ee7d2fe5907acaa265198f6bc1334e74c8c6f7fecece8545de9f620d15d00b7f8aa3225e0d325ace4af58360145d3f9f8bd20a4ed74a067
 EBUILD webkit-gtk-2.4.11-r200.ebuild 8530 SHA256 
e579be98b8fba274c974019ac867e2a2fdefba5d4b7e4419c324f1eae74b7a5d SHA512 
dbf7e7e1dffc157be18602e0e1bda57297f30c5a1f00862736067d6fee8573c1711f027bab07a698a1cd382a6f6d825327deed7274930a098f416e77c8d05371
 WHIRLPOOL 
ec612bb5db541cdd866227f09281f63dbf9e157eb485c8ce8e87f9664ef3213750958f0ba13f3a87cfe641b3c6f1972ea15a9955d2293e101cf8b466dea10aad
-MISC metadata.xml 634 SHA256 
48f0a29437afb03701f60011476eb2ad74683d918b69c6963e16f92b763bb0de SHA512 
36bcb7965d4bf4b61d9399c794d4f4a438152bf6338ef68cfd6a04f8c94351b35f1cb09172fb4eee4db9b072e0984420ee976031e2c27963fe0390e079494ba8
 WHIRLPOOL 
e14b1f0070ff39f026b1c406718d68f2ccffe4c4db7bf5afe16c658cc1837cb3b29820868b2e9617beb37442eab7ac2f9d8340f55a763bc5ee8ebe1a2065c694
+MISC metadata.xml 697 SHA256 
4f096b51e01f6f74430bbca04ba292bcc015631d57417deb91a995fe943203a6 SHA512 
64bebe1fd72f81707b462bdf3630404e71a87d1807519c86ed5eff393a324e30a32c489f0c7d86d3b6dc2b3855758452e95ae98fb4d0c27555947b35b28907d9
 WHIRLPOOL 
17cce501d17ac9a29c142462737d223b087bf80b18284fb346de62e9c9f9f23e02efa6a30ec63780ee48d0b2c21a34af9fdc6fd7f72ac152fb272085214adea1

diff --git a/net-libs/webkit-gtk/metadata.xml b/net-libs/webkit-gtk/metadata.xml
index 6e822e5..2aec057 100644
--- a/net-libs/webkit-gtk/metadata.xml
+++ b/net-libs/webkit-gtk/metadata.xml
@@ -1,15 +1,16 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-  <maintainer type="project">
-        <email>[email protected]</email>
-        <name>Gentoo GNOME Desktop</name>
-  </maintainer>
-  <use>
-       <flag name="coverage">Enable code coverage support</flag>
-       <flag name="egl">Enable EGL support.</flag>
-        <flag name="geoloc">Enable geolocation support through 
<pkg>app-misc/geoclue</pkg></flag>
-       <flag name="gles2">Enable GLESv2 support.</flag>
+<maintainer type="project">
+       <email>[email protected]</email>
+       <name>Gentoo GNOME Desktop</name>
+</maintainer>
+<use>
+       <flag name="coverage">Enable code coverage support</flag>
+       <flag name="egl">Enable EGL support</flag>
+       <flag name="geoloc">Enable geolocation support through 
<pkg>app-misc/geoclue</pkg></flag>
+       <flag name="geolocation">Enable geolocation support through 
<pkg>app-misc/geoclue</pkg></flag>
+       <flag name="gles2">Enable GLESv2 support</flag>
        <flag name="webgl">Build support for the WebGL HTML API using 
<pkg>virtual/opengl</pkg></flag>
-  </use>
+</use>
 </pkgmetadata>

diff --git a/net-libs/webkit-gtk/webkit-gtk-2.14.5.ebuild 
b/net-libs/webkit-gtk/webkit-gtk-2.14.5.ebuild
new file mode 100644
index 0000000..0d78033
--- /dev/null
+++ b/net-libs/webkit-gtk/webkit-gtk-2.14.5.ebuild
@@ -0,0 +1,291 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+CMAKE_MAKEFILE_GENERATOR="ninja"
+PYTHON_COMPAT=( python2_7 )
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+
+inherit check-reqs cmake-utils eutils flag-o-matic gnome2 pax-utils 
python-any-r1 ruby-single toolchain-funcs versionator virtualx
+
+MY_P="webkitgtk-${PV}"
+DESCRIPTION="Open source web browser engine"
+HOMEPAGE="http://www.webkitgtk.org/";
+SRC_URI="http://www.webkitgtk.org/releases/${MY_P}.tar.xz";
+
+LICENSE="LGPL-2+ BSD"
+SLOT="4/37" # soname version of libwebkit2gtk-4.0
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd 
~x86-fbsd ~amd64-linux ~x86-linux ~x86-macos"
+
+IUSE="aqua coverage doc +egl +geolocation gles2 gnome-keyring +gstreamer 
+introspection +jit libnotify nsplugin +opengl spell wayland +webgl X"
+
+# webgl needs gstreamer, bug #560612
+REQUIRED_USE="
+       geolocation? ( introspection )
+       gles2? ( egl )
+       introspection? ( gstreamer )
+       nsplugin? ( X )
+       webgl? ( ^^ ( gles2 opengl ) )
+       !webgl? ( ?? ( gles2 opengl ) )
+       webgl? ( gstreamer )
+       wayland? ( egl )
+       || ( aqua wayland X )
+"
+
+# Tests fail to link for inexplicable reasons
+# https://bugs.webkit.org/show_bug.cgi?id=148210
+RESTRICT="test"
+
+# use sqlite, svg by default
+# Aqua support in gtk3 is untested
+# Dependencies found at Source/cmake/OptionsGTK.cmake
+RDEPEND="
+       dev-db/sqlite:3=
+       >=dev-libs/glib-2.36:2
+       dev-libs/hyphen
+       >=dev-libs/icu-3.8.1-r1:=
+       >=dev-libs/libxml2-2.8:2
+       >=dev-libs/libxslt-1.1.7
+       >=media-libs/fontconfig-2.8:1.0
+       >=media-libs/freetype-2.4.2:2
+       >=media-libs/harfbuzz-0.9.18:=[icu(+)]
+       >=media-libs/libpng-1.4:0=
+       media-libs/libwebp:=
+       >=net-libs/gnutls-3
+       >=net-libs/libsoup-2.42:2.4[introspection?]
+       >=x11-libs/cairo-1.10.2:=
+       >=x11-libs/gtk+-3.14:3[introspection?]
+       >=x11-libs/pango-1.30.0
+       virtual/jpeg:0=
+
+       aqua? ( >=x11-libs/gtk+-3.14:3[aqua] )
+       egl? ( media-libs/mesa[egl] )
+       geolocation? ( >=app-misc/geoclue-2.1.5:2.0 )
+       gles2? ( media-libs/mesa[gles2] )
+       gnome-keyring? ( app-crypt/libsecret )
+       gstreamer? (
+               >=media-libs/gstreamer-1.2:1.0
+               >=media-libs/gst-plugins-base-1.2:1.0
+               >=media-libs/gst-plugins-bad-1.8:1.0[opengl?] )
+       introspection? ( >=dev-libs/gobject-introspection-1.32.0:= )
+       libnotify? ( x11-libs/libnotify )
+       nsplugin? ( >=x11-libs/gtk+-2.24.10:2 )
+       opengl? ( virtual/opengl
+               x11-libs/cairo[opengl] )
+       spell? ( >=app-text/enchant-0.22:= )
+       wayland? ( >=x11-libs/gtk+-3.14:3[wayland] )
+       webgl? (
+               x11-libs/cairo[opengl]
+               x11-libs/libXcomposite
+               x11-libs/libXdamage )
+       X? (
+               x11-libs/cairo[X]
+               >=x11-libs/gtk+-3.14:3[X]
+               x11-libs/libX11
+               x11-libs/libXcomposite
+               x11-libs/libXrender
+               x11-libs/libXt )
+"
+
+# paxctl needed for bug #407085
+# Need real bison, not yacc
+DEPEND="${RDEPEND}
+       ${PYTHON_DEPS}
+       ${RUBY_DEPS}
+       >=dev-lang/perl-5.10
+       >=app-accessibility/at-spi2-core-2.5.3
+       >=dev-libs/atk-2.8.0
+       >=dev-util/gtk-doc-am-1.10
+       >=dev-util/gperf-3.0.1
+       >=sys-devel/bison-2.4.3
+       >=sys-devel/flex-2.5.34
+       || ( >=sys-devel/gcc-4.9 >=sys-devel/clang-3.3 )
+       sys-devel/gettext
+       virtual/pkgconfig
+
+       doc? ( >=dev-util/gtk-doc-1.10 )
+       geolocation? ( dev-util/gdbus-codegen )
+       introspection? ( jit? ( sys-apps/paxctl ) )
+       test? (
+               dev-lang/python:2.7
+               dev-python/pygobject:3[python_targets_python2_7]
+               x11-themes/hicolor-icon-theme
+               jit? ( sys-apps/paxctl ) )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+CHECKREQS_DISK_BUILD="18G" # and even this might not be enough, bug #417307
+
+PATCHES=(
+       # https://bugs.gentoo.org/show_bug.cgi?id=555504
+       "${FILESDIR}"/${PN}-2.8.5-fix-ia64-build.patch
+
+       # https://bugs.gentoo.org/show_bug.cgi?id=564352
+       # https://bugs.webkit.org/show_bug.cgi?id=167283
+       "${FILESDIR}"/${PN}-2.8.5-fix-alpha-build.patch
+
+       # https://bugs.webkit.org/show_bug.cgi?id=148379
+       "${FILESDIR}"/${PN}-2.8.5-webkit2gtkinjectedbundle-j1.patch
+
+       # musl and jit
+       "${FILESDIR}"/${PN}-2.14.3-musl.patch
+)
+
+pkg_pretend() {
+       if [[ ${MERGE_TYPE} != "binary" ]] ; then
+               if is-flagq "-g*" && ! is-flagq "-g*0" ; then
+                       einfo "Checking for sufficient disk space to build 
${PN} with debugging CFLAGS"
+                       check-reqs_pkg_pretend
+               fi
+
+               if ! test-flag-CXX -std=c++11 ; then
+                       die "You need at least GCC 4.9.x or Clang >= 3.3 for 
C++11-specific compiler flags"
+               fi
+
+               if tc-is-gcc && [[ $(gcc-version) < 4.9 ]] ; then
+                       die 'The active compiler needs to be gcc 4.9 (or newer)'
+               fi
+       fi
+}
+
+pkg_setup() {
+       if [[ ${MERGE_TYPE} != "binary" ]] && is-flagq "-g*" && ! is-flagq 
"-g*0" ; then
+               check-reqs_pkg_setup
+       fi
+
+       python-any-r1_pkg_setup
+}
+
+src_configure() {
+       # Respect CC, otherwise fails on prefix #395875
+       tc-export CC
+
+       # Arches without JIT support also need this to really disable it in all 
places
+       use jit || append-cppflags -DENABLE_JIT=0 -DENABLE_YARR_JIT=0 
-DENABLE_ASSEMBLER=0
+
+       # It does not compile on alpha without this in LDFLAGS
+       # https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=648761
+       use alpha && append-ldflags "-Wl,--no-relax"
+
+       # ld segfaults on ia64 with LDFLAGS --as-needed, bug #555504
+       use ia64 && append-ldflags "-Wl,--no-as-needed"
+
+       # Sigbuses on SPARC with mcpu and co., bug #???
+       use sparc && filter-flags "-mvis"
+
+       # https://bugs.webkit.org/show_bug.cgi?id=42070 , #301634
+       use ppc64 && append-flags "-mminimal-toc"
+
+       # Try to use less memory, bug #469942 (see Fedora .spec for reference)
+       # --no-keep-memory doesn't work on ia64, bug #502492
+       if ! use ia64; then
+               append-ldflags "-Wl,--no-keep-memory"
+       fi
+
+       # We try to use gold when possible for this package
+#      if ! tc-ld-is-gold ; then
+#              append-ldflags "-Wl,--reduce-memory-overheads"
+#      fi
+
+       # older glibc needs this for INTPTR_MAX, bug #533976
+       if has_version "<sys-libs/glibc-2.18" ; then
+               append-cppflags "-D__STDC_LIMIT_MACROS"
+       fi
+
+       # Multiple rendering bugs on youtube, github, etc without this, bug 
#547224
+       append-flags $(test-flags -fno-strict-aliasing)
+
+       local ruby_interpreter=""
+
+       if has_version "virtual/rubygems[ruby_targets_ruby24]"; then
+               ruby_interpreter="-DRUBY_EXECUTABLE=$(type -P ruby24)"
+       elif has_version "virtual/rubygems[ruby_targets_ruby23]"; then
+               ruby_interpreter="-DRUBY_EXECUTABLE=$(type -P ruby23)"
+       elif has_version "virtual/rubygems[ruby_targets_ruby22]"; then
+               ruby_interpreter="-DRUBY_EXECUTABLE=$(type -P ruby22)"
+       else
+               ruby_interpreter="-DRUBY_EXECUTABLE=$(type -P ruby21)"
+       fi
+
+       # TODO: Check Web Audio support
+       # should somehow let user select between them?
+       #
+       # FTL_JIT requires llvm
+       #
+       # opengl needs to be explicetly handled, bug #576634
+
+       local opengl_enabled
+       if use opengl || use gles2; then
+               opengl_enabled=ON
+       else
+               opengl_enabled=OFF
+       fi
+
+       # support for webgl (aka 2d-canvas accelerating)
+       local canvas_enabled
+       if use webgl && ! use gles2 ; then
+               canvas_enabled=ON
+       else
+               canvas_enabled=OFF
+       fi
+
+       local mycmakeargs=(
+               -DENABLE_QUARTZ_TARGET=$(usex aqua)
+               -DENABLE_API_TESTS=$(usex test)
+               -DENABLE_GTKDOC=$(usex doc)
+               -DENABLE_GEOLOCATION=$(usex geolocation)
+               $(cmake-utils_use_find_package gles2 OpenGLES2)
+               -DENABLE_GLES2=$(usex gles2)
+               -DENABLE_CREDENTIAL_STORAGE=$(usex gnome-keyring)
+               -DENABLE_VIDEO=$(usex gstreamer)
+               -DENABLE_WEB_AUDIO=$(usex gstreamer)
+               -DENABLE_INTROSPECTION=$(usex introspection)
+               -DENABLE_JIT=$(usex jit)
+               -DUSE_LIBNOTIFY=$(usex libnotify)
+               -DENABLE_PLUGIN_PROCESS_GTK2=$(usex nsplugin)
+               -DENABLE_SPELLCHECK=$(usex spell)
+               -DENABLE_WAYLAND_TARGET=$(usex wayland)
+               -DENABLE_WEBGL=$(usex webgl)
+               $(cmake-utils_use_find_package egl EGL)
+               $(cmake-utils_use_find_package opengl OpenGL)
+               -DENABLE_X11_TARGET=$(usex X)
+               -DENABLE_OPENGL=${opengl_enabled}
+               -DENABLE_ACCELERATED_2D_CANVAS=${canvas_enabled}
+               -DCMAKE_BUILD_TYPE=Release
+               -DPORT=GTK
+               ${ruby_interpreter}
+       )
+
+       # Allow it to use GOLD when possible as it has all the magic to
+       # detect when to use it and using gold for this concrete package has
+       # multiple advantages and is also the upstream default, bug #585788
+#      if tc-ld-is-gold ; then
+#              mycmakeargs+=( -DUSE_LD_GOLD=ON )
+#      else
+#              mycmakeargs+=( -DUSE_LD_GOLD=OFF )
+#      fi
+
+       cmake-utils_src_configure
+}
+
+src_compile() {
+       cmake-utils_src_compile
+}
+
+src_test() {
+       # Prevents test failures on PaX systems
+       use jit && pax-mark m $(list-paxables Programs/*[Tt]ests/*) # 
Programs/unittests/.libs/test*
+
+       cmake-utils_src_test
+}
+
+src_install() {
+       cmake-utils_src_install
+
+       # Prevents crashes on PaX systems, bug #522808
+       use jit && pax-mark m "${ED}usr/bin/jsc" 
"${ED}usr/libexec/webkit2gtk-4.0/WebKitWebProcess"
+       pax-mark m "${ED}usr/libexec/webkit2gtk-4.0/WebKitPluginProcess"
+       use nsplugin && pax-mark m 
"${ED}usr/libexec/webkit2gtk-4.0/WebKitPluginProcess"2
+}

Reply via email to